Name:           jo
Summary:        Small utility to create JSON objects
Version:        1.9
Release:    1%{?dist}

URL:            https://github.com/jpmens/jo
Source0:         %{url}/archive/%{version}/jo-%{version}.tar.gz
License:        GPL-2.0-or-later AND MIT AND LicenseRef-Fedora-Public-Domain

ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pandoc

BuildRequires:  pkgconfig(bash-completion)

Provides:       bundled(ccan-json) = 0.1


%description
This is jo, a small utility to create JSON objects

  $ jo -p name=jo n=17 parser=false
  {
      "name": "jo",
      "n": 17,
      "parser": false
  }

or arrays

  $ seq 1 10 | jo -a
  [1,2,3,4,5,6,7,8,9,10]


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install
install -D -p -m 0644 jo.zsh '%{buildroot}%{zsh_completions_dir}/_jo'


%check
ln -s '%{buildroot}%{_bindir}/jo' .
bash -e ./tests/jo.test


%files
%license COPYING
%doc AUTHORS
%doc ChangeLog
%doc press.md
%doc README.md
%doc jo.md

%{_bindir}/jo
%{_mandir}/man1/jo.1*

%{bash_completions_dir}/jo.bash
%{zsh_completions_dir}/_jo


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-1
- initial build
